org.eclipse.microprofile.lra.tck

## Class TckTestBase

- java.lang.Object
- - org.eclipse.microprofile.lra.tck.TckTestBase

Direct Known Subclasses:
  TckCancelOnTests, TckContextTests, TckLRATypeTests, TckParticipantTests, TckTests, TckUnknownStatusTests, TckUnknownTests

    public class TckTestBase
    extends Object

Base testsuite class for in-container tests. It provides `Before` and @`After` junit hooks to clean the environment.

### Field Summary

Fields
`org.junit.rules.TestName` `testName`

### Constructor Summary

Constructors
Constructor and Description
`TckTestBase()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `after()`
`void` `before()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### testName

    public org.junit.rules.TestName testName

### Constructor Detail

#### TckTestBase

    public TckTestBase()

### Method Detail

#### before

    public void before()

#### after

    public void after()